#!/bin/bash
SCRIPTLOC=$FIXME

#Check for root
if [[ $EUID -ne "0" ]]
then
  echo "You must be root - try:   sudo $0 or sudo bash $0"
  exit 1
fi

#Ask for user
echo "Please enter the username for which you would like Google Fonts installed: "
read username

#Ask for update frequency
PS3="Please enter the frequency at which you would like the fonts updated (daily/weekly/monthly):"
options=("Daily (Not Recommended)" "Weekly" "Monthly" "Quit")
select opt in "${options[@]}"
do
    case $opt in
        "Daily (Not Recommended)")
            updatefreq=daily
            ;;
        "Weekly")
            updatefreq=weekly
            ;;
        "Monthly")
            updatefreq=monthly
            ;;
        "Quit")
            break
            ;;
        *) echo "invalid option $REPLY";;
    esac
done

#Setup directory in /opt and fetch script
mkdir -p /opt/gfontinstallermac

wget -o $SCRIPTLOC /opt/gfontinstallermac/fontupdater.sh

chmod +x /opt/gfontinstallermac/fontupdater.sh

#Setup config file
touch /opt/gfontinstallermac/config 

echo "USER=$username" >> /opt/gfontinstallermac/config

#Run initial git clone
pushd /Users/$username/Library/Fonts/
git clone https://github.com/google/fonts.git google-fonts
chown -R $username:staff google-fonts
popd 

#Setup auto-update
mkdir -p /usr/local/etc/periodic/$updatefreq
ln -sf /usr/local/etc/periodic/$updatefreq/fontupdater /opt/gfontinstallermac/fontupdater.sh

#Finished
echo "Google Fonts installed in /Users/$username/Library/Fonts and set to update $updatefreq."